.card-product {
  &__wrap {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    border: 1px solid #ECECEC;
    border-radius: 15px;
    padding: 25px;
    width: 100%;
    cursor: pointer;
    position: relative;
    overflow: hidden;

    &:hover {
      border-color: #3BB77E;
      box-shadow: rgb(222, 249, 236, ) 5px 5px 8px 0px inset, rgba(222, 249, 236, 0.5) -5px -5px 8px 3px inset;
    }
  }

  &__img-wrap {
    align-self: center;
  }

  &__img {
    max-width: 246px;
    width: 100%;
    height: 246px;
    display: block;
    object-fit: contain;
  }

  &__link {
    font-size: 18px;
    font-weight: 700;
    line-height: 20px;
    color: #253D4E;
    min-height: 40px;
    margin-bottom: 10px;
  }

  &__reviews {
    display: flex;
    align-items: center;
    margin-bottom: 7px;
  }

  &__rating {
    color: #B6B6B6;
    line-height: 18px;
    font-size: 18px;
    margin-left: 10px;
  }

  &__category {
    font-size: 18px;
    line-height: 24px;
    color: #ADADAD;

    span {
      color: #3BB77E;
    }
  }

  &__card-price {
    margin-top: 24px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
  }

  &__card-currentprice {
    font-size: 22px;
    font-weight: 800;
    line-height: 24px;
    color: #3BB77E;
  }

  &__card-previousprice {
    font-size: 14px;
    font-weight: 700;
    line-height: 22px;
    color: #ADADAD;
  }

  &__btn-add {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px 20px;
    background-color: #DEF9EC;
    border-radius: 4px;

    @media(min-width:320px), (max-width:320px) {
      &:active {
        box-shadow: 0px 0px 5px 5px #3BB77E;
      }
    }

    @media(min-width:1024px) {
      &:hover {
        box-shadow: 0px 0px 5px 5px #3BB77E;
      }
    }


    span {
      margin-left: 5px;
      color: #3BB77E;
      font-size: 16px;
      font-weight: 700;
      line-height: 20px;
    }

  }

  &__sticker {
    position: absolute;
    left: -1px;
    top: -1px;
    padding: 8px 20px;
    border-top-left-radius: 16px;
    border-bottom-right-radius: 16px;
    font-size: 12px;
    font-weight: 400;
    line-height: 12px;
    color: #FFFFFF;


    &.sale {
      background-color: #67BCEE;
    }

    &.new {
      background-color: #3BB77E;
    }

    &.hot {
      background-color: #F74B81;
    }
  }

  &__btn-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    position: absolute;
    z-index: 125;
    top: 6px;
    right: 6px;
  }

  &__btn-favorite {

    @media(min-width:1024px) {
      &:hover {
        & svg path {
          fill: #F74B81
        }
      }
    }


    &.is-favorite {
      & svg path {
        fill: #F74B81
      }
    }
  }

  &__btn-edit {
    &:hover {
      & svg path {
        fill: #3BB77E
      }
    }
  }

}

.non-available {
  &::before {
    content: 'non-available ';
    font-size: 45px;
    line-height: 48px;
    font-weight: 700;
    color: #df1c59;
    border-radius: 15px;
    position: absolute;
    z-index: 111;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    transform: rotate(45deg);
    display: flex;
    align-items: center;
    justify-content: center;
  }

  &::after {
    content: ' ';
    position: absolute;
    z-index: 114;
    border-radius: 15px;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba(48, 48, 48, 0.1);
  }

}